<script setup>
</script>

<script>
import jQuery from "jquery";
import Jszip from 'jszip';
import DataTable from 'datatables.net-vue3';
import DataTableLib from 'datatables.net-bs5';
import 'datatables.net-buttons-bs5';
import 'datatables.net-buttons/js/buttons.html5.mjs';
import DataTableResponsive from "datatables.net-bs5";
import axios from 'axios';
import $ from 'jquery';
import swal from 'sweetalert';
import Multiselect from '@vueform/multiselect'
import '@vueform/multiselect/themes/default.css'
import { inject } from 'vue';


// Configurar JSZip
window.JSZip = Jszip;

// Inicializar DataTables con las bibliotecas
DataTable.use(DataTableLib);
DataTable.use(DataTableResponsive);



export default {
  components: {  },
  data() {

    return {
      products: null,
      log:this.variables?.log,
      tieneErrores: !(this.variables.log === null || this.variables.log === undefined),


      
    }
  },

  mounted() {
    const csrf = inject('csrf');
  },

  props: {
	    variables: Object,
	},

    setup(props) {
	  const csrf = inject('csrf');

	  return {
	    csrf,
	  };
	},

 

  

  methods: {
    

   

   
    create: function (event) {
      window.location.href = '/sanciones/create/servidores-publicos';

    }
  }
}
</script>

<template>
  <div class="main-content">
    <div class="page-content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-lg-12">
            <div class="card">
              <div class="card-body">
                <div class=" d-grid gap-2 d-md-flex justify-content-md-end dropdown float-end">
                    <form :action="route('servidores.publicos.export')" method="post" enctype="multipart/form-data">
                        
                  <button type="submit" id="btn-registrar" class="btn btn-success waves-effect">
                    <i class="mdi mdi-20px mdi-download align-middle me-2"></i> Descargar Excel
                  </button>
                  <input type="hidden" name="_token" :value="csrf"/>
                  <input name="cargaMasiva" type="hidden" value="1">
                </form>
                <form :action="route('servidores.publicos.import')" method="post" enctype="multipart/form-data" id="excelForm">
                    <div class="input-group">
                        <input class="form-control" type="file" name="file" accept=".xls,.xlsx">
                        <button class="btn btn-primary" type="submit" id="buscarDocumento">Importar Excel</button>
                        </div> 
                        <input type="hidden" name="_token" :value="csrf"/>
                </form>
                </div>

                <h4 class="card-title mb-4">Carga masiva servidores publicos</h4>
                <div class="card mt-3" v-if="tieneErrores === true" >
                  <div class="card-header">
                    Error 
                  </div>
                  <div class="card-body">
                    <blockquote class="blockquote mb-0">
                      <div>
                        <ul>
                          <li v-for="(error, index) in log.split('&&&')" :key="index" style="color: red;">
                            {{ error.trim() }}
                          </li>
                        </ul>
                      </div>
                    </blockquote>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <footer class="footer"></footer>
  </div>
</template>

<style>
.dataTables_wrapper .dataTables_filter {
  margin-right: 10px;
}

.dataTables_filter{
  display: none;
}

#datatable-index-usuarios{
  margin-top: 10px;
}

.dt-buttons btn-group {
  background-color: red;
}

@media (min-width: 768px) {
  #TablaPrincipal_wrapper {}
}
</style>
